Bug 1004759 - [CLI] - updating RH provider URL does not work.
[CLI] - updating RH provider URL does not work.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Ales Dujicek
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 08:18 EDT by Garik Khachikyan
Modified: 2015-05-04 21:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2013-09-05 08:18:23 EDT
Description of problem:
Recent nightly fails on CLI Red Hat provider update: it just does not change the URL. (but says: Successfully updated provider [ Red Hat ])

Version-Release number of selected component (if applicable):
candlepin-0.8.25-1.el6.noarch
candlepin-cert-consumer-cfseserver1.usersys.redhat.com-1.0-1.noarch
candlepin-selinux-0.8.25-1.el6.noarch
candlepin-tomcat6-0.8.25-1.el6.noarch
createrepo-0.9.9-21.2.pulp.el6.noarch
elasticsearch-0.19.9-7.el6.noarch
katello-1.4.6-1.git.16.09c30df.el6.noarch
katello-agent-1.4.2-5.el6.noarch
katello-all-1.4.6-1.git.16.09c30df.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6.noarch
katello-cli-1.4.3-1.git.27.a001bbe.el6.noarch
katello-cli-common-1.4.3-1.git.27.a001bbe.el6.noarch
katello-common-1.4.6-1.git.16.09c30df.el6.noarch
katello-configure-1.4.5-1.el6.noarch
katello-glue-candlepin-1.4.6-1.git.16.09c30df.el6.noarch
katello-glue-elasticsearch-1.4.6-1.git.16.09c30df.el6.noarch
katello-glue-pulp-1.4.6-1.git.16.09c30df.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
katello-selinux-1.4.4-1.git.1.7abb02b.el6.noarch
m2crypto-0.21.1.pulp-8.el6.x86_64
mod_wsgi-3.4-1.pulp.el6.x86_64
pulp-katello-plugins-0.2-1.el6.noarch
pulp-nodes-common-2.2.0-0.28.beta.el6.noarch
pulp-nodes-parent-2.2.0-0.28.beta.el6.noarch
pulp-puppet-plugins-2.2.0-0.28.beta.el6.noarch
pulp-rpm-handlers-2.2.0-0.28.beta.el6.noarch
pulp-rpm-plugins-2.2.0-0.28.beta.el6.noarch
pulp-selinux-2.2.0-0.28.beta.el6.noarch
pulp-server-2.2.0-0.28.beta.el6.noarch
python-isodate-0.5.0-1.pulp.el6.noarch
python-oauth2-1.5.170-3.pulp.el6.noarch
python-pulp-agent-lib-2.2.0-0.28.beta.el6.noarch
python-pulp-common-2.2.0-0.28.beta.el6.noarch
python-pulp-puppet-common-2.2.0-0.28.beta.el6.noarch
python-pulp-rpm-common-2.2.0-0.28.beta.el6.noarch
python-qpid-0.14-11.el6_3.noarch
python-rhsm-1.8.0-1.pulp.el6.x86_64
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6.noarch
signo-katello-0.0.13-1.el6.noarch

How reproducible:
always.

Steps to Reproduce:
1.katello --username "admin" --password "<password>" provider update --org "<org>" --name "Red Hat" --url "https://localhost:443"
2.
3.

Actual results:
provider info still shows the original URL

Expected results:
changed URL

Additional info:
Comment 1 Garik Khachikyan 2013-09-05 08:22:39 EDT
please: seems url update not working for custom providers too.

is it intentional ?
Comment 3 Garik Khachikyan 2013-10-17 11:05:54 EDT
need to have it in current drop asap, please.
Comment 4 Petr Chalupa 2013-10-18 08:02:57 EDT
Fixed in c3335fe20937bd1e20b4cb5e5462241e14bebe92
Comment 7 Ales Dujicek 2013-10-23 08:28:46 EDT
Verified.

katello-glue-elasticsearch-1.4.6-44.el6sat.noarch
katello-all-1.4.6-44.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
katello-common-1.4.6-44.el6sat.noarch
katello-1.4.6-44.el6sat.noarch
katello-cli-1.4.3-26.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-glue-pulp-1.4.6-44.el6sat.noarch
katello-cli-common-1.4.3-26.el6sat.noarch
katello-foreman-all-1.4.6-44.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-glue-candlepin-1.4.6-44.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
Comment 10 Bryan Kearney 2014-04-24 13:08:09 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.